// -*- c++ -*-

#ifndef KRICHTEXTEDITOR_H
#define KRICHTEXTEDITOR_H

#include <kparts/mainwindow.h>
#include <krichtexteditpart.h>

class KToggleAction;

class KRichTextEditor : public KParts::MainWindow
{
    Q_OBJECT

public:
    KRichTextEditor();
    virtual ~KRichTextEditor();

    KRichTextEditPart *part() const { return editpart; }

    virtual void show();

public slots:
    void setMenusVisible( bool show );
    void setStatusVisible( bool show );

    void editToolbars();

private:
    KRichTextEditPart *editpart;
    KToggleAction *smb;
    KToggleAction *ssb;
};

#endif // KRICHTEXTEDITOR_H

// Local Variables:
// c-basic-offset: 4
// End:
